POST/authtoken

Get Auth Token

Gaining access to the EVENTS API

Implementation Notes

This call authenticates the validity of a username/password combination. If the authentication is successful, a valid access token is issued. Use the username and password provided to you in your EVENTS API packet.

POST/authtoken

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» userNamebodystringRequiredThe user's name (e.g., user@example.com)
» passwordbodystringRequiredThe user's password (e.g., password123)

Responses

StatusMeaningDescriptionSchema
200OKSuccessful authentication
401UnauthorizedInvalid credentialsNone
404Not FoundNo user found with username: {userName}None
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST https://api.events.example.com/api/v1/authtoken \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

userName: ""
password: ""

Example responses

200 Response
{
  "token": "********",
  "isAdmin": false
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.